

#let logo-folder = "../assets/logos-etablissements/"

#let etablissements-data = (
  CS: (
    logo: image(logo-folder + "CS.png", width: 6cm),
    name: [CentralSupélec],
  ),
  EHESP: (
    logo: image(logo-folder + "EHESP.png", width: 6cm),
    name: [l'École des Hautes Études \ en Santé Publique],
  ),
  ENIB: (
    logo: image(logo-folder + "ENIB.png", width: 6cm),
    name: [l'École Nationale d'Ingénieurs de Brest],
  ),
  ENS: (
    logo: image(logo-folder + "ENS.jpg", width: 6cm),
    name: [l'École Normale Supérieure de Rennes],
  ),
  ENSAI: (
    logo: image(logo-folder + "ENSAI.png", width: 6cm),
    name: [l'École Nationale de la Statistique \ et de l'Analyse de l'Information],
  ),
  ENSCR: (
    logo: image(logo-folder + "ENSCR.png", width: 6cm),
    name: [l'École Nationale Supérieure \ de Chimie Rennes],
  ),
  ENSTA: (
    logo: image(logo-folder + "ENSTA.jpg", width: 6cm),
    name: [l'École Nationale Supérieure \ de Technique Avancées Bretagne],
  ),
  IMTA: (
    logo: image(logo-folder + "IMTA.png", width: 6cm),
    name: [l'École Nationale Supérieure \ Mines-Télécom Atlantique Bretagne \ Pays de la Loire -- IMT Atalntique],
  ),
  INSA: (
    logo: image(logo-folder + "INSA.svg", width: 6cm),
    name: [l'Institut National des \ Sciences Appliquées de Rennes],
  ),
  InstitutAgro: (
    logo: image(logo-folder + "InstitutAgro.png", width: 6cm),
    name: [l'Institut Agro Rennes Angers],
  ),
  UBO: (
    logo: image(logo-folder + "UBO.png", width: 6cm),
    name: [l'Université de Bretagne Occidentale],
  ),
  UBS: (
    logo: image(logo-folder + "UBS.png", width: 6cm),
    name: [l'Université Bretagne Sud],
  ),
  UR: (
    logo: image(logo-folder + "UR.png", width: 6cm),
    name: [l'Université de Rennes],
  ),
  UR2: (
    logo: image(logo-folder + "UR2.png", width: 6cm),
    name: [l'Université de Rennes 2],
  ),
  ENSAB-UR2: (
    logo: stack(
      dir:ttb,
      image(logo-folder + "ENSAB.png", width: 6cm),
      image(logo-folder + "UR2.png", width: 6cm),
    ),
    name: [l'École Nationale Supérieure \ d'Architecture de Bretagne \ délivrée conjointement avec \ l'Université de Rennes 2],
  ),
  UR2-UR: (
    logo: stack(
      dir:ttb,
      image(logo-folder + "UR2.png", width: 6cm),
      image(logo-folder + "UR.png", width: 6cm),
    ),
    name: [l'Université de Rennes 2 \ délivrée conjointement avec \ l'Université de Rennes],
  ),
  EHESP-UR: (
    logo: stack(
      dir:ttb,
      image(logo-folder + "EHESP.png", width: 6cm),
      image(logo-folder + "UR.png", width: 6cm),
    ),
    name: [l'École des Hautes Études \ en Santé Publique \ délivrée conjointement avec \ L'Université de Rennes],
  ),
  InstitutAgro-UR2: (
    logo: stack(
      dir:ttb,
      image(logo-folder + "InstitutAgro.png", width: 6cm),
      image(logo-folder + "UR2.png", width: 6cm),
    ),
    name: [l'Institut Agro \ Rennes Angers \ délivrée conjointement avec \ L'Université de Rennes],
  ),
  InstitutAgro-UBO: (
    logo: stack(
      dir:ttb,
      image(logo-folder + "ENIB.png", width: 6cm),
      image(logo-folder + "UBO.png", width: 6cm),
    ),
    name: [l'École Nationale \ d'Ingénieurs de Brest \ délivrée conjointement avec \ L'Université de Bretagne Occientale],
  ),
)

#let assert-etablissements(etablissements) = {
  assert(
    etablissements in etablissements-data,
    message: "'" + etablissements + "'" + " not in : [" + etablissements-data.keys().join(", ") + "]",
  )
}
